<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\News;

class NewsController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function getIndex()
    {
        return view('Admin.News');
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $this->validate($request, [
            'title'=>'required',
            'image' => 'required',
            'description' => 'required',
        ]);
        $save= new News;
        $save->title=$request->title;
        $save->title_nepali=$request->title_nepali;
        $save->date= $request->date;
        
        $save->description=$request->description;
        $save->description_nepali=$request->description_nepali;
        $save->token=AdminlogController::getToken('News');
        $save->save();
        AdminlogController::FileSaver( $request,'News',1920,1285);
       return redirect('admin_news')->with('info', 'Datas Saved Successfully!');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
         $last=News::where('id',$id)->first();
         $new_count=0;
         $new_count=AdminlogController::FileUpdater($request,'News',1920,1285,null,$last->token);

        $data=array(

        'title'=>$request->title,
        'description'=>$request->description,
        'date'=>$request->date,
        
        'title_nepali'=>$request->title_nepali,
        'description_nepali'=>$request->description_nepali,
          
);


        News::where('id',$id)->update($data);
        return redirect('admin_news')->with('info', 'Data updated Successfully!');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
